// 全局的基础的data数据
// 粮食质量信息
export const qtypes = {
	稻谷: ['出糙率%', '水分%', '杂质%', '色泽气味'],
	小麦: ['容重g/L', '水分%', '杂质%', '不完善粒%', '色泽气味'],
	原油: ['酸值（KOHmg/g）', '过氧化值（mmol/kg）', '溶剂残留量（mg/kg）', '色泽气味'],
	玉米: ['容重g/L', '水分%', '杂质%', '不完善粒%', '霉变%', '脂肪酸值', '品尝评分值', '色泽气味'],
	大豆: ['水分%', '杂质%', '不完善粒%'],
	大米: ['等级', '碎米总量', '水分%', '杂质%', '不完善粒%', '黄粒米%', '互混%'],
}
export function getType(pzmc) {
	return Object.keys(qtypes).find(d => {
		let regm = new RegExp('.*麦')
		let regy = new RegExp('.*油')
		let regg = new RegExp('.*谷')
		let isM = regm.test(d) && regm.test(pzmc)
		let isY = regy.test(d) && regy.test(pzmc)
		let isG = regg.test(d) && regg.test(pzmc)
		return pzmc == d || isM || isY || isG
	})
}

export function qnames(qtypesVal) {
	let names = {
		出糙率: 'ccl',
		容重: 'rz',
		水分: 'sf',
		杂质: 'zhaz',
		不完善粒: 'bwsl',
		色泽气味: 'szqw',
		酸值: 'sz',
		过氧化值: 'gyhz',
		溶剂残留量: 'rjcll',
		霉变: 'mb',
		脂肪酸值: 'zfsz',
		品尝评分值: 'pcpfz',
		黄粒米: 'hlm',
		互混: 'hh',
	}
	let keys = Object.keys(names)
	let type = keys.find(d => {
		let reg = new RegExp(d + '.*')
		return reg.test(qtypesVal)
	})
	return type ? names[type] : ''
}

